Airwallex logo
Airwallex logoAirwallex logo

Embedded ComponentsBeta

Copy for LLMView as Markdown

Authorize to use embedded components.

Endpoints
POST /api/v1/authentication/authorize

Authorize an account

POST /api/v1/authentication/authorize

Authorize the platform itself, or a connected account with header x-on-behalf-of to use embedded components.

Platforms can embed core Airwallex functionalities directly into their website through our pre-built components, avoiding a redirect experience. Key features include:

  • Dynamic adjustment of UI to meet local compliance requirements, based on country and business model
  • Conversion-optimized flow leveraging Airwallex’s own product improvements
  • Customized theming to reflect your company’s brand

For a list of components supported via this API, see Payouts, Onboarding, Risk and Compliance support in Airwallex.js JS.

Contact your Airwallex Account Manager to start using components.

Request body
code_challengerequiredstring

A challenge token generated together with the code_verifier by your application with the S256 generation method, which references the Oauth design as described in RFC 7636 Section 4 .

scoperequiredarray

The scopes indicate the resources your application is allowed to access. The value should be expressed as a list. Currently supported scopes:

  • onboarding:write: used by the embedded onboarding component.
  • transfer:write: used by the embedded payout component and the embedded beneficiary component.
  • kyb:write: used by the embedded KYB component.
  • rfi:read: used by the embedded RFI component to view open RFIs.
  • rfi:write: used by the embedded RFI component to edit and submit responses to RFIs.
  • sca:read: used by the embedded SCA component to get the context of SCA.
  • sca:write: used by the embedded SCA component to set up or change the authentication factors of SCA.
  • tax_form:read: used by the embedded tax form component to get details of tax forms.
  • tax_form:write: used by the embedded tax form component to create or edit tax forms.
identitystring

Used for embedded SCA. It's the platform’s identifier for the user, such as a user unique identifier.

Response body - 200 OK
authorization_codestring

The authorization code generated by Airwallex. It is used to exchange tokens. The authorization code expires in 30 seconds and becomes invalid once an access token is exchanged.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument, validation_failed

401

Unauthorized

429

Too many requests

500

Service unavailable

POST /api/v1/authentication/authorize
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/authentication/authorize' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "code_challenge": "aNggeDw6KT4422DzzGe1RUZC2DJ-cpLi3hM8b7YRFeE",
> "identity": "089cc0ec-0a6f-4150-9f66-365432178035",
> "scope": [
> "w:awx_action:onboarding"
> ]
>}'
Response (200 OK)
1{
2 "authorization_code": "Du7J_zbDL3epWNJ2wa7Merdz9yc_iuSOTZ8LXWYagNYH"
3}
Was this section helpful?